package com.kingdee.eas.custom.compensation.push_bill;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.custom.compensation.push_bill.app.*;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PayrollDistributionSlip extends HRBillBase implements IPayrollDistributionSlip
{
    public PayrollDistributionSlip()
    {
        super();
        registerInterface(IPayrollDistributionSlip.class, this);
    }
    public PayrollDistributionSlip(Context ctx)
    {
        super(ctx);
        registerInterface(IPayrollDistributionSlip.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("5D2D52BE");
    }
    private PayrollDistributionSlipController getController() throws BOSException
    {
        return (PayrollDistributionSlipController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public PayrollDistributionSlipCollection getPayrollDistributionSlipCollection() throws BOSException
    {
        try {
            return getController().getPayrollDistributionSlipCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public PayrollDistributionSlipCollection getPayrollDistributionSlipCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPayrollDistributionSlipCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public PayrollDistributionSlipCollection getPayrollDistributionSlipCollection(String oql) throws BOSException
    {
        try {
            return getController().getPayrollDistributionSlipCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public PayrollDistributionSlipInfo getPayrollDistributionSlipInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPayrollDistributionSlipInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public PayrollDistributionSlipInfo getPayrollDistributionSlipInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPayrollDistributionSlipInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public PayrollDistributionSlipInfo getPayrollDistributionSlipInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPayrollDistributionSlipInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}